package com.gic.auth.web.vo;

import java.io.Serializable;
import java.util.List;

/**
 * 联合商户账号分组组件
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/25 1:53 PM 
 */
public class UnionEnterpriseAccountGroupListVO implements Serializable{
    private static final long serialVersionUID = 6530622928732661742L;

    /**
     * 自有商户
     */
    private List<AccountGroupListVO> ownEnterpriseAccountGroup;
    /**
     * 当前本商户
     */
    private List<AccountGroupListVO> currentEnterpriseAccountGroup;

    public List<AccountGroupListVO> getOwnEnterpriseAccountGroup() {
        return ownEnterpriseAccountGroup;
    }

    public UnionEnterpriseAccountGroupListVO setOwnEnterpriseAccountGroup(List<AccountGroupListVO> ownEnterpriseAccountGroup) {
        this.ownEnterpriseAccountGroup = ownEnterpriseAccountGroup;
        return this;
    }

    public List<AccountGroupListVO> getCurrentEnterpriseAccountGroup() {
        return currentEnterpriseAccountGroup;
    }

    public UnionEnterpriseAccountGroupListVO setCurrentEnterpriseAccountGroup(List<AccountGroupListVO> currentEnterpriseAccountGroup) {
        this.currentEnterpriseAccountGroup = currentEnterpriseAccountGroup;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseAccountGroupListVO{" +
                "ownEnterpriseAccountGroup=" + ownEnterpriseAccountGroup +
                ", currentEnterpriseAccountGroup=" + currentEnterpriseAccountGroup +
                '}';
    }
}
